package com.trade.service.contract.util.esign.entity;

import java.io.Serializable;

/**
 * 企业认证接口返回实体
 */
public class ESignReversePaymentProcess implements Serializable {

    private static final long serialVersionUID = -621925624771035843L;
    /**
     * 打款进度
     */
    private String process;
    /**
     * 打款进度描述
     */
    private String message;
    /**
     * 收款方银行账号
     */
    private String subAccount;
    /**
     * 收款方开户行名称（支行名称）
     */
    private String subAccountChannelName;
    /**
     * 收款方银行账户名称
     */
    private String mainAccountName;
    /**
     * 打款方银行账号
     */
    private String oppAccountNo;
    /**
     * 打款方银行账号名称
     */
    private String oppAccountName;
    /**
     * 打款方银行名称
     */
    private String oppBankName;
    /**
     * 打款金额，单位：元
     */
    private String payAmount;
    /**
     * 交易时间
     */
    private String tradeTime;
    /**
     * 打款订单创建时间
     */
    private String createTime;
    /**
     * 打款订单更新时间
     */
    private String modifyTime;
    /**
     * 交易流水号
     */
    private String bizFlowNo;

    public String getProcess() {
        return process;
    }

    public void setProcess(String process) {
        this.process = process;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getSubAccount() {
        return subAccount;
    }

    public void setSubAccount(String subAccount) {
        this.subAccount = subAccount;
    }

    public String getSubAccountChannelName() {
        return subAccountChannelName;
    }

    public void setSubAccountChannelName(String subAccountChannelName) {
        this.subAccountChannelName = subAccountChannelName;
    }

    public String getMainAccountName() {
        return mainAccountName;
    }

    public void setMainAccountName(String mainAccountName) {
        this.mainAccountName = mainAccountName;
    }

    public String getOppAccountNo() {
        return oppAccountNo;
    }

    public void setOppAccountNo(String oppAccountNo) {
        this.oppAccountNo = oppAccountNo;
    }

    public String getOppAccountName() {
        return oppAccountName;
    }

    public void setOppAccountName(String oppAccountName) {
        this.oppAccountName = oppAccountName;
    }

    public String getOppBankName() {
        return oppBankName;
    }

    public void setOppBankName(String oppBankName) {
        this.oppBankName = oppBankName;
    }

    public String getPayAmount() {
        return payAmount;
    }

    public void setPayAmount(String payAmount) {
        this.payAmount = payAmount;
    }

    public String getTradeTime() {
        return tradeTime;
    }

    public void setTradeTime(String tradeTime) {
        this.tradeTime = tradeTime;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(String modifyTime) {
        this.modifyTime = modifyTime;
    }

    public String getBizFlowNo() {
        return bizFlowNo;
    }

    public void setBizFlowNo(String bizFlowNo) {
        this.bizFlowNo = bizFlowNo;
    }
}
